%define languageenglazy Kazakh
%define languagecode    kk
%define lc_ctype        kk_KZ

Name:           hunspell-%{languagecode}
Version:        1.1
Release:        %mkrel 11
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+ or LGPLv2+ or MPLv1.1
Group:          System/Internationalization
URL:            http://extensions.services.openoffice.org/project/dict-kk
Source0:        http://extensions.services.openoffice.org/files/1172/8/dict-kk.zip

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-kk
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# nothing to obsolete
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
for i in README_kk_KZ.txt; do
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
install -D -m 0644 -p kk_KZ.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p kk_KZ.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_kk_KZ.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Thu Feb 04 2016 umeabot <umeabot> 1.1-11.mga6
+ Revision: 934994
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-10.mga5
+ Revision: 743864
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-9.mga5
+ Revision: 680259
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 1.1-8.mga4
+ Revision: 505768
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1-7.mga3
+ Revision: 353510
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.1-6.mga3
+ Revision: 325470
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 1.1-5.mga2
+ Revision: 224698
- add requirement on locales (mga#4632)

* Mon Feb 13 2012 kamil <kamil> 1.1-4.mga2
+ Revision: 208486
- stop obsoleting of myspell-kk (there is no myspell-kk)

* Fri Jan 27 2012 kamil <kamil> 1.1-3.mga2
+ Revision: 202095
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 1.1-2.mga1
+ Revision: 68874
- imported package hunspell-kk


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 26 2009 Caolan McNamara <caolanm@redhat.com> - 1.1-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Caolan McNamara <caolanm@redhat.com> - 1.0-2
- tidy spec

* Mon Apr 20 2009 Caolan McNamara <caolanm@redhat.com> - 1.0-1
- initial version
